Skip to content
arXivv
Esc
↑↓navigate↵open⌘Jpreview

Papers by submission date

arXiv metadata and abstracts for papers whose v1 was submitted between from and to (UTC, inclusive), newest first. Served from the daily OAI-PMH harvest; never builds papers. coverage.from is the first date the listing is complete for.

GET/papers.json
Query parameters
fromstring<date>required

First v1 submission date, YYYY-MM-DD (UTC).

tostring<date>required

Last v1 submission date, YYYY-MM-DD (UTC), inclusive.

categorystring

Only papers listed in this arXiv category, e.g. cs.CL.

limitinteger

Papers per page. Default 25.

min 1 · max 100
cursorstring

Opaque cursor from a previous page's next.

Responses
200

OK

schemanumberrequired

Major schema version

Allowed:1
fromstringrequired

UTC date, YYYY-MM-DD

tostringrequired

UTC date, YYYY-MM-DD

categorystring
coverageobjectrequired
Show properties
fromstringrequired

Earliest v1 submission date the listing is complete for

papersPaperSummary[]required
Show properties
Array of PaperSummary
idPaperIdrequired

arXiv identifier without version: new style 1706.03762 or old style hep-th/9901001

matches ^(?:\d{4}\.\d{4,5}|[a-z-]+(?:\.[A-Z]{2})?\/\d{7})$
versionVersion_1required

Latest known version

min 1 · max 9007199254740991
submittedAtstringrequired

v1 submission time, ISO 8601

updatedAtstringrequired

Submission time of the latest version, ISO 8601

titlestringrequired
authorsstringrequired

Author list as given by arXiv

abstractstringrequired
categoriesstring[]required
primaryCategorystringrequired
licensestring
doistring
journalRefstring
commentsstring
withdrawnbooleanrequired

The latest version is a withdrawal

nextstring

Path of the next page; absent on the last page

400

Invalid query parameter

typestringrequired

https://arxivv.org/errors/{code}

titlestringrequired
statusintegerrequired
min -9007199254740991 · max 9007199254740991
detailstring
instancestring
codeErrorCoderequired

Machine-readable error code

Allowed:not-foundinvalid-idinvalid-queryno-htmlupstreambuild-failedrate-limited
429

Rate limit exceeded

typestringrequired

https://arxivv.org/errors/{code}

titlestringrequired
statusintegerrequired
min -9007199254740991 · max 9007199254740991
detailstring
instancestring
codeErrorCoderequired

Machine-readable error code

Allowed:not-foundinvalid-idinvalid-queryno-htmlupstreambuild-failedrate-limited
502

arXiv (or another upstream) returned an error

typestringrequired

https://arxivv.org/errors/{code}

titlestringrequired
statusintegerrequired
min -9007199254740991 · max 9007199254740991
detailstring
instancestring
codeErrorCoderequired

Machine-readable error code

Allowed:not-foundinvalid-idinvalid-queryno-htmlupstreambuild-failedrate-limited
Try it
Server
Parameters
Request
curl -X GET 'https://arxivv.org/papers.json?from=2019-08-24&to=2019-08-24' \
  -H 'Accept: application/json'
Response
{
  "schema": 1,
  "from": "string",
  "to": "string",
  "category": "string",
  "coverage": {
    "from": "string"
  },
  "papers": [
    {
      "id": "string",
      "version": 1,
      "submittedAt": "string",
      "updatedAt": "string",
      "title": "string",
      "authors": "string",
      "abstract": "string",
      "categories": [
        "string"
      ],
      "primaryCategory": "string",
      "license": "string",
      "doi": "string",
      "journalRef": "string",
      "comments": "string",
      "withdrawn": true
    }
  ],
  "next": "string"
}

Was this page helpful?